Description

Supportanfrage

Is there any alternative to IPC TCP/UDP communication between 2 ADTF instances?

Or is there any mechanism to start other slave sessions by a master session, like with ADTF 2 message bus?

Lösung

The IPC communication is the Message Bus NextGen in ADTF 3.x.

To create something similiar to session control (starting an ADTF Slave by starting an ADTF Master), you will achieve this by

creating scripts and make use of ADTF Control - line by line, not automatically.

Within the next month, we will offically integrate FEP as base for an distributed setup.

Then you will have the chance to control a whole setup, of course bringing several (ADTF) instances to the same runlevel, e.g.

starting at once.

You will find a preview in our artifactory:

https://artifactory.digitalwerk.net/ui/repos/tree/General/Product-Releases%2FADTF%2FPreview%2FWindows%2Fx86_64%2FVi

sualStudio%2F15%2FADTF-preview-fep_beta_3.zip

https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-public-releases%2Fdw%2FADTF%2Ffep_beta_3%2Fpreview

Here is the online documentation (but i guess within the package its newer):

https://support.digitalwerk.net/adtf/v3_fep_integration_preview/guides/fep3_integration_prologue.html

We will deliver updates within the next weeks as well.

History

#1 - 2021-05-18 11:56 - hidden

- Status changed from New to In Progress

- Private changed from No to Yes

#4 - 2021-05-21 14:18 - hidden

- Status changed from In Progress to Customer Feedback Required

- Topic set to ADTF::MessageBus

Hi Adrian,

the IPC communication is the Message Bus NextGen in ADTF 3.x.

To create something similiar to session control (starting an ADTF Slave by starting an ADTF Master), you will achieve this by creating scripts and

make use of ADTF Control - line by line, not automatically.

Within the next month, we will offically integrate FEP as base for an distributed setup.

Then you will have the chance to control a whole setup, of course bringing several (ADTF) instances to the same runlevel, e.g. starting at once.
https://artifactory.digitalwerk.net/ui/repos/tree/General/Product-Releases%2FADTF%2FPreview%2FWindows%2Fx86_64%2FVisualStudio%2F15%2FADTF-preview-fep_beta_3.zip
https://artifactory.digitalwerk.net/ui/repos/tree/General/Product-Releases%2FADTF%2FPreview%2FWindows%2Fx86_64%2FVisualStudio%2F15%2FADTF-preview-fep_beta_3.zip
https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-public-releases%2Fdw%2FADTF%2Ffep_beta_3%2Fpreview
https://support.digitalwerk.net/adtf/v3_fep_integration_preview/guides/fep3_integration_prologue.html


You will find a preview in our artifactory:

https://artifactory.digitalwerk.net/ui/repos/tree/General/Product-Releases%2FADTF%2FPreview%2FWindows%2Fx86_64%2FVisualStudio%2F1

5%2FADTF-preview-fep_beta_3.zip

https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-public-releases%2Fdw%2FADTF%2Ffep_beta_3%2Fpreview

Here is the online documentation (but i guess within the package its newer):

https://support.digitalwerk.net/adtf/v3_fep_integration_preview/guides/fep3_integration_prologue.html

We will deliver updates within the next weeks as well.

Does this solve your question ?

#5 - 2021-05-24 06:25 - hidden

Hello Florian,

Yes it does, thank you very much.

BR,

Adrian

#6 - 2021-05-27 06:58 - hidden

Hello Adrian,

do you need any further support? Otherwise we will close the ticket.

Regards

Margarete

#7 - 2021-05-28 09:28 - hidden

Hello Margarete,

No, I don't need. You can close the ticket.

Thank you,

Adrian

#8 - 2021-05-28 10:44 - hidden

- Project changed from 30 to Public Support

- Subject changed from ADTF3 Question - Any alternatives to IPC TCP/UDP communication to Is there an pendant to Message Bus Master and Slave

Sessions in ADTF 3.x ?

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#9 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
